Bug 668036 - ThinkPad W510 nVidia Corporation GT216 [Quadro FX 880M] *extremely* dim display when running under battery
ThinkPad W510 nVidia Corporation GT216 [Quadro FX 880M] *extremely* dim displ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-07 13:04 EST by Joel
Modified: 2012-08-16 16:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:03:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel 2011-01-07 13:04:06 EST
Description of problem:
With the default power management settings, the "Reduce backlight brightness" option is enabled while running on battery.  With this enabled, if I unplug my ThinkPad W510 with nVidia Corporation GT216 [Quadro FX 880M] video (using nouveau driver) the screen dims to an unbelievably low level.  Setting screen brightness to the max makes essentially no difference.

Plugging the laptop back into AC power will bring the screen back to the original full brightness for a fraction of a second before going back to the super dim setting.  Unplugging from AC also switches the screen to full brightness for a fraction of a second before returning to super dim mode.  The only way to return to normal brightness wile on AC power (w/o messing with the power settings in gnome-power-manager) is to reboot.  Even the non-X text consoles are dim.

The only workaround I've found is to disable the "Reduce backlight brightness" option through gnome-power-manager.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.32.0-3.fc14.x86_64

How reproducible:
Every single time.

Steps to Reproduce:
1.Boot Fedora 14 on ThinkPad W510 with nVidia Corporation GT216 [Quadro FX 880M] under AC power
2.Log into X and unplug AC...witness screen brightness become unusably low.
3.Plug AC back in...witness screen brightness stay unusably low.
  
Actual results:
Unusably low screen brightness

Expected results:
Usable screen brightness

Additional info:
Comment 1 Taunus 2011-03-25 04:31:49 EDT
I am also having the same problem on same HW.
Comment 2 Christopher Heiny 2011-04-06 01:51:33 EDT
I am also experiencing this issue.  A severity of "moderate" is definitely understating the stiuation - my W510 is unusable except in the dimmest of lighting, which seriously impairs its usefulness around the office.
Comment 3 Richard Hughes 2011-11-15 07:51:46 EST
Does this still happen in F15 or F16? Thanks.
Comment 4 Joel 2011-11-15 08:34:46 EST
I no longer have this hardware.  My Intel-based thinkpad T410 its just fine.
Comment 5 Christopher Heiny 2011-11-15 09:54:47 EST
I still have the W510 hardware, and will be updating to F16 later this month.  I'll let you know what results.
Comment 6 Fedora End Of Life 2012-08-16 16:03:41 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.